<?php
/*
 * Created on 01.04.2007
 *
 * author: Martin Damken
 * (c) zeichenkombinat
 * Teil von: simpleShop
 * 
 * Enables some functions for older php-versions
 * 
 * using code from Authors: Aidan Lister <aidan@php.net>
 */
if (!function_exists('array_chunk')) {
    function array_chunk($input, $size, $preserve_keys = false)
    {
        if (!is_array($input)) {
            user_error('array_chunk() expects parameter 1 to be array, ' .
                gettype($input) . ' given', E_USER_WARNING);
            return;
        }
        if (!is_numeric($size)) {
            user_error('array_chunk() expects parameter 2 to be long, ' .
                gettype($size) . ' given', E_USER_WARNING);
            return;
        }
        $size = (int)$size;
        if ($size <= 0) {
            user_error('array_chunk() Size parameter expected to be greater than 0',
                E_USER_WARNING);
            return;
        }
        $chunks = array();
        $i = 0;
        if ($preserve_keys !== false) {
            foreach ($input as $key => $value) {
                $chunks[(int)($i++ / $size)][$key] = $value;
            }
        } else {
            foreach ($input as $value) {
                $chunks[(int)($i++ / $size)][] = $value;
            }
        }
        return $chunks;
    }
}
if (!function_exists('is_a')) {
    function is_a($object, $class)
    {
        if (!is_object($object)) {
            return false;
        }

        if (get_class($object) == strtolower($class)) {
            return true;
        } else {
            return is_subclass_of($object, $class);
        }
    }
}
?>